size(1)

NOMBRE
size - lista tamaños de las secciones y tamaño total.

SINOPSIS

size
    [-A|-B| --format=compatibilidad ] [--help] [-d|-o|-x |--radix=número ] [ --target=nombrebfd ] [-V|--version] fichobj ...

DESCRIPCIÓN
La utilidad size de GNU lista los tamaños de las secciones —y el tamaño total— para cada uno de los ficheros objeto fichobj en su lista de argumentos. De forma predeterminada, se genera una línea de salida para cada fichero objeto o cada módulo de un archivo.

OPCIONES

-A

-B

--format=compatibilidad
    Empleando una de estas opciones, se puede escoger si la salida del size de GNU se parecerá a la salida del size de System V (empleando `-A ', o `--format=sysv '), o a la del size de Berkeley (empleando `-B ', o `--format=berkeley '). El formato predeterminado es el de una línea similar al de Berkeley.

--help
    Muestra un resumen de los argumentos y opciones que se aceptan.

-d

-o

-x

--radix=número
    Mediante una de estas opciones, se puede controlar si el tamaño de cada sección se da en base diez (`-d ', o `--radix=10 '); octal (`-o ', o `--radix=8 '); o hexadecimal (`-x ', o `--radix=16 '). En `--radix= número ', sólo se admiten los tres valores 8, 10 ó 16. El tamaño total se da siempre en dos bases: decimal y hexadecimal para la salida `-d ' o `-x ', u octal y hexadecimal si se usa `-o '.

--target=nombrebfd
    Se puede especificar nu formato de código objeto particular para fichobj en nombrebfd . Esto puede no ser necesario; size puede automáticamente reconocer muchos formatos. Consulte objdump(1) para más información sobre cómo ver los formatos disponibles.

-V

--version
    Muestra información del número de versión del propio size.

VÉASE TAMBIÉN
La entrada de menú `binutils' en Info; Las Utilidades de Binarios de GNU, Roland H. Pesch (Octubre de 1991); ar(1), objdump(1).

DERECHOS DE COPIA
Copyright (c) 1991 Free Software Foundation, Inc.

Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

Permission is granted to copy and distribute modified versions of this manual under the conditions for verbatim copying, provided that the entire resulting derived work is distributed under the terms of a permission notice identical to this one.

Permission is granted to copy and distribute translations of this manual into another language, under the above conditions for modified versions, except that this permission notice may be included in translations approved by the Free Software Foundation instead of in the original English.

N. del T.: Sólo tiene validez legal el aviso de copyright original.